package com.xzzn.ems.service;

import com.xzzn.ems.domain.EmsSiteSetting;
import com.xzzn.ems.domain.vo.SiteDeviceListVo;
import com.xzzn.ems.domain.vo.SiteTotalInfoVo;

import java.util.List;
import java.util.Map;

/**
 * 站点信息 服务层
 *
 */
public interface IEmsSiteService
{

    public List<EmsSiteSetting> getAllSites();


    public SiteTotalInfoVo getSiteTotalInfo();

    public List<Map<String,Object>> getAllStackInfo(String siteId);

    public List<Map<String,Object>> getAllClusterInfo(String siteId, String stackDeviceId);

    public List<EmsSiteSetting> getAllSiteInfoList(String siteName, String startTime, String endTime);

    public List<SiteDeviceListVo> getAllDeviceList(String siteId, String deviceCategory);

    public List<SiteDeviceListVo> getAllDeviceListNoDisp(String siteId, String deviceCategory);

    public List<Map<String,Object>> getAllPcsInfo(String siteId);

    public List<Map<String,Object>> getParentCategoryDeviceId(String siteId, String deviceCategory);

    int addSite(EmsSiteSetting emsSiteSetting);

    int updateSite(EmsSiteSetting emsSiteSetting);
}
